## org.jboss.ejb.plugins.jrmp13.interfaces
Class StatelessSessionProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
                  |
                  +--org.jboss.ejb.plugins.jrmp.interfaces.StatelessSessionProxy
                        |
                        +--org.jboss.ejb.plugins.jrmp13.interfaces.StatelessSessionProxy

All Implemented Interfaces:
  java.io.Externalizable, java.lang.reflect.InvocationHandler, java.io.Serializable

public final class StatelessSessionProxy
extends StatelessSessionProxy
implements java.lang.reflect.InvocationHandler

<description>

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  <related>, Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`GET_EJB_HOME, GET_HANDLE, GET_PRIMARY_KEY, IS_IDENTICAL`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`StatelessSessionProxy()`
`StatelessSessionProxy(java.lang.String name, ContainerRemote container, boolean optimize)`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.StatelessSessionProxy
`invoke`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`getEJBHome, isIdentical`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, readExternal, removeLocal, setTPCFactory, setTransactionManager, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.reflect.InvocationHandler
`invoke`

Constructor Detail

### StatelessSessionProxy

    public StatelessSessionProxy()

### StatelessSessionProxy

    public StatelessSessionProxy(java.lang.String name,
                                 ContainerRemote container,
                                 boolean optimize)

Copyright © 2000 The JBoss Organization. All Rights Reserved.